mirro-rs(1)

NAME
mirro-rs - An ArchLinux mirrorlist manager with a TUI

SYNOPSIS
mirro-rs [-o|--outfile] [-e|--export] [-v|--view] [-s|--sort] [-t|--ttl] [-u|--url] [--config] [-r|--rate] [--timeout] [-i|--include] [-d|--direct] [-a|--age] [-c ] [-p|--protocols] [--ipv4] [--ipv6] [--isos] [--completion-percent] [-h|--help] [-V|--version]

DESCRIPTION
An ArchLinux mirrorlist manager with a TUI

OPTIONS

-o, --outfile=OUTFILE
    File to write mirrors to

-e, --export=EXPORT
    Number of mirrors to export [default: 50]

-v, --view=VIEW
    An order to view all countries
    [possible values: alphabetical, mirror-count]

-s, --sort=SORT
    Default sort for exported mirrors
    [possible values: percentage, delay, duration, score]

-t, --ttl=TTL
    Number of hours to cache mirrorlist for

-u, --url=URL
    URL to check for mirrors

--config=CONFIG
    Specify alternate configuration file

-r, --rate
    Sort mirrorlists by download speed when exporting

--timeout=TIMEOUT
    Connection timeout in seconds

-i, --include=INCLUDE
    Extra CDNs to check for mirrors

-d, --direct
    Skip TUI session and directly export the mirrorlist

-a, --age=AGE
    How old (in hours) should the mirrors be since last synchronisation

-c=COUNTRY
    Countries to search for mirrorlists

-p, --protocols=PROTOCOLS
    Filters to use on mirrorlists
    [possible values: https, http, rsync, ftp]

--ipv4
    Only return mirrors that support IPv4

--ipv6
    Only return mirrors that support IPv6

--isos
    Only return mirrors that host ISOs

--completion-percent=COMPLETION_PERCENT
    Set the minimum completion percent for the returned mirrors

-h, --help
    Print help

-V, --version
    Print version

VERSION
v0.2.3

AUTHORS
rtkay123 <dev@kanjala.com>